<section class="section-container">
  <form class="form-container">
    <input type="text" placeholder="Filter employees..." #filter>
    <button class="primary" type="button" (click)="filterEmployees(filter.value)">Search</button>
  </form>
  <button type="button" class="addEntity" [routerLink]="['/add-employee/false']">Add Employee</button>
</section>
<section class="results">
  <div class="employee-container">
    <app-employee
      *ngFor="let employee of filteredEmployees"
      [employee]="employee"
    >
    </app-employee>
  </div>
  <div class="numbersContainer">
    <input type="number" [(ngModel)]="pageSize" [style.width.px]="pageSize.toString().length * 8 + 20" (ngModelChange)="filterEmployees(filter.value)" min="1">
    <div class="pagingNumbers" *ngFor="let num of pagesNumbers">
      <a (click)="filterEmployees(filter.value, num)" [class.active]="num === currentPageNumber">{{ num }}</a>
    </div>
  </div>
</section>
